/* .App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
} */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap");
.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body,
input {
  font-family: "Poppins", sans-serif;
  max-width: 100vw;
  max-height: 100vh;
}

.container {
  position: relative;
  width: 100%;
  background-color: #fff;
  min-height: 100vh;
  min-width: 100vw;
  overflow: hidden;
  margin: 0;
  &::before {
    content: "";
    position: absolute;
    width: 120rem;
    height: 120rem;
    // border-radius: 50%;
    background: linear-gradient(to left, #2c75f1, #ec6221);
    top: -10%;
    right: 53%;
    transform: translateY(-50%);
    z-index: 6;
    transition: 1.2s ease-in-out;
  }
  .forms-container{
    .fill{
      position: absolute;
      left: 70vw;
      top: 10vh;
    }
  }
  .req-pmo {
    position: absolute;
    top: 50%;
    left: 75%;
    transform: translate(-50%, -50%);
    width: 50%;
    display: grid;
    grid-template-columns: 1fr;
    z-index: 5;
    transition: 1s 0.7s ease-in-out;
    form {
      position: relative;
      display: grid;
      place-items: center;
      // align-items: center;
      grid-column: 1 / 2;
      grid-row: 1 / 2;
      padding: 0 5rem;
      overflow: hidden;
      transition: 0.2s 0.7s ease-in-out;
      // display: flex;
      // align-items: center;
      // flex-direction: column;
      .cust-row {
        width: 100%;
        max-width: 350px;
        .invalid {
          color: rgb(238, 77, 77);
        }
        .valid {
          color: white;
        }
      }

      &.req-form {
        z-index: 2;
      }
      &.pmo-form {
        z-index: 1;
        opacity: 0;
      }
      .input-field {
        width: 100%;
        // max-width: 25rem;
        height: 3.5rem;
        max-width: 350px;
        background-color: #f0f0f0;
        margin: 10px 0;
        display: grid;
        grid-template-columns: 15% 75%;
        padding: 0 0.4rem;
        i {
          text-align: center;
          line-height: 3.5rem;
          color: #acacac;
          font-size: 1.1rem;
        }
        input {
          background: none;
          border: none;
          outline: none;
          line-height: 1;
          font-weight: 600;
          font-size: 1.1rem;
          color: #333;
          // max-width: 25rem;
          &::placeholder {
            color: #aaa;
            font-weight: 500;
          }
        }
      }
      .title {
        font-size: 2.2rem;
        color: #444;
        margin-bottom: 10px;
        transition: 0.2s 0.7s ease-in-out;
        text-align: center;
      }
      .login {
        font-weight: bold;
        border-bottom: 1px solid black;
        background-color: blue;
      }
    }
  }
  &.pmo-mode {
    &::before {
      transform: translate(100%, -50%);
      right: 49%;
    }
    .btn {
      &.transparent {
        background-color: #b6675c;
        &:hover {
          background-color: #c76649;
        }
      }
      &.pmobtn {
        transition: 0.5s ease-in-out;
        background-color: #4d72cd;
      }
    }
    .left-panel {
      pointer-events: none;
      .imageClass {
        // transition: 1.1s 0.4s ease-in-out;
        transform: translateX(-50rem);
      }
      .content {
        transform: translateX(-50rem);
        
        // margin-right: 10rem;
      }
    }

    .right-panel {
      pointer-events: all;
      .imageClass {
        transform: translateX(0rem);
      }
      .content {
        transform: translateX(0rem);
        // background-color: yellow;
        margin-right: 3rem
      }
    }
    .req-pmo {
      left: 25%;
    }
    form {
      &.req-form {
        z-index: 1;
        opacity: 0;
      }
      &.pmo-form {
        z-index: 2;
        opacity: 1;
      }
    }
  }
  .panels-container {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    .imageClass {
      width: 100%;
      transition: 1.1s 0.4s ease-in-out;
      transform: scale(-1, 1);
    }

    .panel {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-around;
      text-align: center;
      z-index: 7;
      &.left-panel{
        .content{
          margin-left: 3rem;
        }
      }
      .content {
        color: #fff;
        transition: 0.9s 0.6s ease-in-out;
        display: flex;
        flex-direction: column;
        align-items: center;
      }
      h3 {
        font-weight: 600;
        line-height: 1;
        font-size: 1.5rem;
      }

      .panelh1 {
        margin-bottom: 2rem;
        font-size: 4rem;
      }
    }
  }
  .left-panel {
    padding: 3rem 17% 10rem 1%;
  }
  .right-panel {
    padding: 3rem 1% 10rem 17%;
    pointer-events: none;
    .content {
      transform: translateX(50rem);
      // background-color: red;
    }
    .imageClass {
      transform: translateX(50rem);
    }
  }
  .btn {
    width: 9.5rem;
    height: 3rem;
    border: none;
    outline: none;
    border-radius: 3rem;
    cursor: pointer;
    color: #fff;
    text-transform: uppercase;
    font-size: 1.1rem;
    font-weight: 600;
    margin: 10px 0;
    transition: 0.5s;
    background-color: #5995fd;
    box-shadow: none;
    display: grid;
    margin: 2rem auto;
    &.transparent {
      margin: 0;
      background: none;
      box-shadow: none;
      border: 1px solid #fff;
      width: 11rem;
      display: flex;
      align-items: center;
      justify-content: center;
      height: 3.5rem;
      font-weight: 500;
      font-size: 1rem;
      cursor: pointer;
      background-color: #6272c4;
      transition: 0.6s 0.2s ease-in-out;
      &:hover {
        background-color: #4d72cd;
      }
    }
    &.solid {
      &:hover {
        color: #fff;
        // background-color: #4e8efc;
      }
    }
  }
}
@media screen and (max-width: 1060px) {
  .row {
    width: 100%;
    // padding: 0 1rem;
    .col-lg-12 {
      padding: 0;
    }
  }
}

@media screen and (max-width: 870px) {
  .container {
    min-height: 800px;
    height: 100vh;
    &::before {
      /* display: none; */
      width: 90rem;
      height: 90rem;
      left: 30%;
      bottom: 68%;
      transform: translateX(-40%);
      right: initial;
      top: initial;
      transition: 2s ease-in-out;
      background: linear-gradient(to top, #4685f1, #f0804c);
    }
    .left-panel {
      grid-row: 1 / 2;
      .imageClass {
        transform: scale(-1, 1);
      }
    }
    .right-panel {
      grid-row: 3 / 4;
      .content,
      .imageClass {
        transform: translateY(19rem);
      }
    }
    .btn {
      &.transparent {
        width: 10rem;
        height: 3.5rem;
        font-size: 1rem;
      }
      :hover {
        background-color: #2c75f1;
      }
    }
    .req-pmo {
      width: 100%;
      left: 50%;
      top: 95%;
      transform: translate(-50%, -100%);
      transition: 1s 0.8s ease-in-out;
      .title {
        width: 100%;
        text-align: center;
      }
    }
    .panels-container {
      /* background-color: green;
      z-index: 10; */
      grid-template-columns: 1fr;
      grid-template-rows: 1fr 2fr 1fr;
      .imageClass {
        width: 12.5rem;
        transition: 0.9s 0.6s ease-in-out;
      }
      .panel {
        flex-direction: row;
        justify-content: space-around;
        align-items: center;
        padding: 2.5rem 8%;

        .content {
          padding: 5%;
          transition: 0.9s 0.8s ease-in-out;
        }

        h3 {
          font-size: 1.2rem;
        }
      }
    }
    &.pmo-mode {
      &::before {
        transform: translate(-40%, 95%);
        bottom: 32%;
        right: initial;
      }
      .left-panel {
        .imageClass,
        .content {
          transform: translateY(-19rem);
        }
      }
      .req-pmo {
        top: 5%;
        transform: translate(-50%, 0);
        left: 50%;
      }
      .btn {
        :hover {
          background-color: #f0804c;
        }
      }
    }
  }
}

@media screen and (max-width: 570px) {
  .container {
    &::before {
      bottom: 62%;
      left: 20%;
    }
    &.pmo-mode::before {
      bottom: 28%;
      left: 25%;
    }
    .panel {
      .content {
        padding: 0.5rem 1rem;
        // margin-right : 5rem;
        // margin-left: 0
      }
      .panelh1 {
        font-size: 3rem;
      }
      .imageClass {
        display: none;
      }
    }
    form {
      .row {
        .invalid {
          font-size: 0.9rem;
          color: rgb(238, 77, 77);
        }
      }
    }
  }
}

